import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { reformateObjectRes } from '@/utils/index'

const sortStoreApi = defineStore('sortStoreApi', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 商品管理 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 264
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 265
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 267
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      // entityname = product & productid=call: id & productcreatedate=call: datetime & productcreateuser=session: account
      // entityname=product&productid=call:id&productcreatedate=call:datetime&productcreateuser=session:account
      return new Promise((resolve, reject) => {
        data.pagevalue = 268
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 删除
    del(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 266
        _del(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },

  },
})

export default sortStoreApi
